## Tcl8.6.2/Tk8.6.2 Documentation > Tcl C API, version 8.6.2 > Init

### Tcl/Tk Applications | Tcl Commands | Tk Commands | [incr Tcl] Package Commands | SQLite3 Package Commands | TDBC Package Commands | tdbc::mysql Package Commands | tdbc::odbc Package Commands | tdbc::postgres Package Commands | tdbc::sqlite3 Package Commands | Thread Package Commands | Tcl C API | Tk C API | [incr Tcl] Package C API | TDBC Package C API

### NAME

Tcl_Init — find and source initialization script

### SYNOPSIS

#include <tcl.h>
int
Tcl_Init(interp)

### ARGUMENTS

Tcl_Interp *interp (in)
  Interpreter to initialize.

### DESCRIPTION

Tcl_Init is a helper procedure that finds and sources the init.tcl script, which should exist somewhere on the Tcl library path.

Tcl_Init is typically called from Tcl_AppInit procedures.

### SEE ALSO

Tcl_AppInit, Tcl_Main

### KEYWORDS

application, initialization, interpreter
Copyright © 1998-2000 by Scriptics Corporation.